<?php
/*
Plugin Name: Language Switcher Widget
Plugin URI: http://www.chezenterprises.co.uk/blog/2007/03/29/language-switcher-widget-v101/
Description: A simple sidebar widget for the <a href="http://www.poplarware.com/languageplugin.html">Language Switcher</a>. Choose to display flags and/or names as required.
Author: Fips
Version: 1.01
Author URI: http://www.chezenterprises.co.uk/blog/
*/

/*
Changelog
	29/03/2007 - 1.0
		Initial release.
	30/03/2007 - 1.01
		Included option to change widget name, and toggle flag or name on and off.
*/

function widget_langswitcher_init() {

if ( !function_exists('register_sidebar_widget') )
		return;

	function widget_langswitcher($args) {

	extract($args);
	$options = get_option('widget_langswitcher');
	$flag = $options['flag'] ? true : false;
	$name = $options['name'] ? true : false;
	$title = empty($options['title']) ? __('Language') : $options['title'];

		echo $before_widget;

		echo $before_title . $title . $after_title;
		
?>

<ul>
<?php 
	if(function_exists('langswitch_list_langs')) {
		
		langswitch_list_langs($flag, $name);
	
	}
?>
</ul>

<?php
		echo $after_widget;
	}

function widget_langswitcher_control() {

	$options = $newoptions = get_option('widget_langswitcher');
	if ( $_POST['langswitcher-submit'] ) {
		$newoptions['flag'] = isset($_POST['langswitcher-flag']);
		$newoptions['name'] = isset($_POST['langswitcher-name']);
		$newoptions['title'] = strip_tags(stripslashes($_POST['langswitcher-title']));
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_langswitcher', $options);
	}
	$flag = $options['flag'] ? 'checked="checked"' : '';
	$name = $options['name'] ? 'checked="checked"' : '';
	$title = wp_specialchars($options['title']);
?>

<p>
	<label for="langswitcher-title"><?php _e('Title:'); ?> 
	<input style="width: 250px;" id="langswitcher-title" name="langswitcher-title" type="text" value="<?php echo $title; ?>" />
	</label>
</p>
<p style="text-align:right;margin-right:40px;">
	<label for="langswitcher-flag"><?php _e('Show flag', 'widgets'); ?> 
	<input class="checkbox" type="checkbox" <?php echo $flag; ?> id="langswitcher-flag" name="langswitcher-flag" />
	</label>
</p>
<p style="text-align:right;margin-right:40px;">
	<label for="langswitcher-name"><?php _e('Show name', 'widgets'); ?> 
	<input class="checkbox" type="checkbox" <?php echo $name; ?> id="langswitcher-name" name="langswitcher-name" />
	</label>
</p>
	<input type="hidden" id="langswitcher-submit" name="langswitcher-submit" value="1" />

<?php
	}
	register_sidebar_widget('Language Switcher', 'widget_langswitcher');
	register_widget_control('Language Switcher', 'widget_langswitcher_control', 300, 150);
} 

	add_action('plugins_loaded', 'widget_langswitcher_init');

?>